<?php
/**
 * BookiFlex Core
 *
 * @package    BookiFlex
 * @subpackage Core
 * @author     BookiFlex
 * @copyright  Copyright (c) 2025 BookiFlex
 * @license    GPL-2.0-or-later
 *
 * @link       https://bookiflex.com
 */

declare(strict_types=1);

namespace BookiFlex\Core\Exception;

defined( 'ABSPATH' ) || exit;

class Exception extends \Exception
{
    private array $context;

    public function __construct(
        $message = '',
        $code = 0,
        \Exception $previous = null,
        array $context = []
    ) {
        parent::__construct($message, $code, $previous);

        $this->context = $context;
    }

    public function getContext(): array
    {
        return $this->context;
    }
}
